Subject: [EAI] [Technical Errata Reported] RFC6857 (6930)

From: RFC Errata System <[email-masked]>
Date: Sat, 9 Apr 2022 19:29:17 -0700 (PDT)

The following errata report has been submitted for RFC6857,
"Post-Delivery Message Downgrading for Internationalized Email Messages".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6930

--------------------------------------
Type: Technical
Reported by: John Klensin <[email-masked]>

Section: 3.1.8

Original Text
-------------
The <addr-spec> element that contains non-ASCII strings may appear in two forms as:

   "<" addr-spec ">"

   or

   addr-spec

   Rewrite both as:

   ENCODED-WORD " :;"

Corrected Text
--------------
The <addr-spec> element that contains non-ASCII strings may appear in two forms as:

   "<"  local-part "@" domain ">"

   or

   local-part "@" domain

   If the <local-part> contains non-ASCII characters, rewrite both to:

   ENCODED-WORD "@" domain

   If the <domain> contains non-ASCII characters in any of its labels, they MUST appear in A-label form as described in Section 3.1.6.

If the <addr-spec> is part of a <mailbox> specification that contains a <display-name>, the display name should be handled as per the discussion in Section 3.1.5 and the <mailbox> and <addr-spec> containing non-ASCII characters  MUST appear as

   DISPLAY-NAME "<" ENCODED-WORD "@" domain ">"

for consistency with RFC 5322.

Notes
-----
Recommend "Hold for document update" and see the extensive comments on Erratum 6573.

The text above, while correct, is fairly horrible and might make the confusion between the requirements of Sections 3.1.5 and 3.1.8 even worse.  A complete rewrite of this section and possibly 3.1.5 would be a better fix.   Note the prohibition on Encoded Words in <addr-spec> in RFC 2047, which requires updating.   Also note that the " :;" construction, which is correct in Section 3.1.7, does not belong in the above.

It also not clear to me why, under some principle of minimal change, the brackets should not be just left alone if they appear in the original with no adjacent display-name.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC6857 (draft-ietf-eai-popimap-downgrade-08)
--------------------------------------
Title               : Post-Delivery Message Downgrading for Internationalized Email Messages
Publication Date    : March 2013
Author(s)           : K. Fujiwara
Category            : PROPOSED STANDARD
Source              : Email Address Internationalization
Area                : Applications
Stream              : IETF
Verifying Party     : IESG